%global libspecbleach_version 0.1.6

Name:           noise-repellent
Version:        0.2.3
Release:        1%{?dist}
Summary:        An lv2 plugin for broadband noise reduction

License:        LGPL-3.0
URL:            https://github.com/lucianodato/noise-repellent
Source0:        https://github.com/lucianodato/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        https://github.com/lucianodato/libspecbleach/archive/refs/tags/v%{libspecbleach_version}.tar.gz#/libspecbleach-%{libspecbleach_version}.tar.gz

BuildRequires:  meson gcc fftw-devel lv2-devel

%description
An lv2 plug-in for broadband noise reduction.

Features
    -  Spectral gating and spectral subtraction suppression rule
    -  Adaptive and manual noise thresholds estimation
    -  Adjustable noise floor
    -  Adjustable offset of thresholds to perform over-subtraction
    -  Time smoothing and a masking estimation to reduce artifacts
    -  Basic onset detector to avoid transients suppression
    -  Whitening of the noise floor to mask artifacts and to recover higher frequencies
    -  Option to listen to the residual signal
    -  Soft bypass
    -  Noise profile saved with the session

%prep
%autosetup
%setup -D -T -a 1
mv libspecbleach-%{libspecbleach_version} subprojects/libspecbleach
find . -name "*.ttl" -exec chmod -x {} ";"

%build
%meson
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install
rm %{buildroot}%{_includedir}/specbleach_adenoiser.h
rm %{buildroot}%{_includedir}/specbleach_denoiser.h
rm %{buildroot}%{_libdir}/libspecbleach.a
rm %{buildroot}%{_libdir}/pkgconfig/libspecbleach.pc



%files
%license LICENSE
%doc README.md
%{_libdir}/lv2/nrepellent.lv2/*


%changelog
* Thu Jan 05 2023 Olivier Samyn <code@oleastre.be> - 0.2.3-1
- new upstream version 0.2.3

* Wed Dec 23 2020 Olivier Samyn 🎻 <code@oleastre.be> - 0.1.5-3.1
- New upstream release 0.1.5 + 3 commits; git sha1=g7f5a8fb
- Initial package